defmodule Aoc.MixProject do
  use Mix.Project

  def project do
    [
      app: :aoc,
      version: "0.1.0",
      elixir: "~> 1.15",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      # {:dep_from_hexpm, "~> 0.3.0"},
      # {:dep_from_git, git: "https://github.com/elixir-lang/my_dep.git", tag: "0.1.0"}
      {:mix_test_watch, "~> 1.0", only: [:dev, :test], runtime: false},
      {:req, "~> 0.5.6"},
      {:floki, "~> 0.36.2"},
      {:html5ever, "~> 0.16.1"},
      {:benchee, "~> 1.0", only: :dev}
    ]
  end
end
